<?php

include_once '../../sys/inc/start.php';

include_once '../../sys/inc/compress.php';

include_once '../../sys/inc/sess.php';

include_once '../../sys/inc/home.php';

include_once '../../sys/inc/settings.php';

include_once '../../sys/inc/db_connect.php';

include_once '../../sys/inc/ipua.php';

include_once '../../sys/inc/fnc.php';

include_once '../../sys/inc/user.php';



if(isset($_GET['id'])){

	$id = intval($_GET['id']);

	}else{

		header("Location: /index.php");

		}



$set['title']='Список смайлов';

include_once '../../sys/inc/thead.php';



title();

aut();







$dir = mysql_fetch_array(mysql_query("SELECT * FROM `smile_dir` WHERE `id` = '".$id."'"));

if(!isset($user)){

	echo '<div class="mess">Доступ закрыт.</div>';

	}else if($id==0 || $id<0){

		echo '<div class="mess">Категория не найдена.</div>';

		}else if($id!=$dir['id']){

			echo '<div class="mess">Категория не найдена.</div>';

			}else{



$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `smile` WHERE `dir` = '$id'"),0);

$k_page = k_page($k_post,$set['p_str']);

$page = page($k_page);

$start = $set['p_str']*$page-$set['p_str'];



if($k_post==0){

	echo '<div class="mess">Нет смайлов</div>';

}



$q=mysql_query("SELECT * FROM `smile` WHERE `dir` = '$id' ORDER BY `id` ASC LIMIT $start, $set[p_str]");

while($post = mysql_fetch_array($q)){

/*-----------зебра-----------*/

if ($num==0)

{echo '<div class="nav1">';

$num=1;

}elseif ($num==1)

{echo '<div class="nav2">';

$num=0;}

/*---------------------------*/



echo '<img src="/style/smiles/'.$post['name'].'" alt="'.$post['name'].'"/>

'.stripslashes(htmlspecialchars(esc($post['smile']))).' <br />';



echo '</div>';

}



if($k_page>1){

	str('dir.php?id='.$id.'&amp;',$k_page,$page);

}



echo '<div class="foot">';

echo '<img src="/style/icons/str2.gif" alt="*"> <a href="index.php">Категории смайлов</a>';

echo '</div>';



if (isset($user) && $user['level']>3){

echo "<div class='foot'>\n";

echo "<img src='/style/icons/str.gif' alt='*'> <a href='/adm_panel/smiles.php'>Управление смайлами</a>";

echo "</div>";

}

}



include_once '../../sys/inc/tfoot.php';

?>